import std.stream;
import std.string;
import std.c.stdlib;

import SDL;

class Log {
	static bit errored = false;
	static void report(char[] tag, char[] msg) {
		stdout.writeLine("[" ~ tag ~ "] " ~ msg);
	}
	static void error(char[] msg) {
		report("ERROR", msg);
		errored = true;
	}
	static void errorSDL(char[] msg) {
		error("[SDL] " ~ msg ~ ": " ~ std.string.toString(SDL_GetError()));
	}
	static void warn(char[] msg) {
		report("WARN", msg);
	}
	static void info(char[] msg) {
		report("INFO", msg);
	}
	static bit isErrored() {
		return errored;
	}
}
